Create Return

Required permission: write_returns

Create a new return. When paid_by is set to "merchant", a shipping label will be purchased and generated. When email_label_to_customer is true, the label and/or RMA slip will be emailed to the customer.

Body Params
integer
required
≥ 1

The ID of the warehouse where the return will be processed.

integer
required
≥ 1

The ID of the client associated with this return. Only applicable for requests made by organization level API keys.

string
enum
required

Who will pay for the return shipping. If "merchant", a rate_id must be provided.

Allowed:
integer
≥ 1

The ID of the return shipping rate to use. Required when paid_by is "merchant".

integer
≥ 1

The ID of the original order being returned. Optional.

boolean
Defaults to false

Whether to email the shipping label and/or RMA slip to the customer.

string

The email address to send the label/RMA slip to. Required when email_label_to_customer is true.

items
array of objects
required
length ≥ 1
items*
integer
required
≥ 1

The ID of the product being returned.

integer
required
≥ 1

The quantity of the product being returned.

return_reasons
array of strings
required
length ≥ 1

The reasons for the return.

return_reasons*
Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json